---
updatedAt: 2026-03-24T16:23:24.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Update account limits (outdated)

Update account limits. 

This endpoint does not validate the account limit against the program’s global limit. To validate the account limit against the program’s global limit, use the [Update account limits](ref:patch-v1-account-limits) endpoint.

This endpoint generates the [Account limit changed](https://developers.pismo.io/events/docs/ledger-limit-changed-1) event.

Refer to the [Account limits](doc:working-with-limits-objects) guide for more information.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Core platform - Ledger",
    "version": "1.0.0",
    "description": "API to handle available entries.",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/ledger",
      "description": "Sandbox API server for testing"
    }
  ],
  "tags": [
    {
      "name": "Account limits",
      "description": "Endpoints to manage account limits"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "AccountLimitPatch": {
        "type": "object",
        "properties": {
          "max_credit_limit": {
            "description": "Maximum credit amount approved for this account. This value must not be less than the `total_credit_limit` or the program’s minimum credit limit parameter, and must not exceed the program’s maximum credit limit parameter. The ledger stores and reports this amount using the exact number of decimal places provided in the request payload.",
            "type": "number",
            "example": 800.01
          },
          "total_credit_limit": {
            "description": "Total credit limit as set by the user. This can be any value up to the `max_credit_limit`. The ledger stores and reports the amount using the same number of decimal places as supplied in the request payload.",
            "type": "number",
            "example": 15.51
          },
          "total_overdraft_limit": {
            "description": "Maximum limit amount for overdraft spending on the account. The ledger stores and reports the amount using the same number of decimal places as supplied in the request payload.",
            "type": "number",
            "example": 340.61
          },
          "percentage_over_limit": {
            "description": "Percentage of the maximum credit limit (`max_credit_limit`) made available for purchases over the credit limit on the account.",
            "type": "number",
            "example": 15.5
          },
          "total_installment_credit_limit": {
            "description": "Amount limit for installments on this credit account. This value must not exceed the program’s maximum credit limit parameter. The ledger stores and reports this amount using the exact number of decimal places provided in the request payload.",
            "type": "number",
            "example": 145.78
          }
        }
      },
      "ErrorModel": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code"
          },
          "message": {
            "type": "string",
            "description": "Message that describes the error"
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v1/accounts/{accountId}/limits": {
      "patch": {
        "summary": "Update account limits (outdated)",
        "description": "Update account limits. \n\nThis endpoint does not validate the account limit against the program’s global limit. To validate the account limit against the program’s global limit, use the [Update account limits](https://developers.pismo.io/pismo-docs/reference/patch-v1-account-limits) endpoint.\n\nThis endpoint generates the [Account limit changed](https://developers.pismo.io/events/docs/ledger-limit-changed-1) event.\n\nRefer to the [Account limits](https://developers.pismo.io/pismo-docs/docs/working-with-limits-objects) guide for more information.\n",
        "operationId": "patch-v1-account-limit",
        "tags": [
          "Account limits"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "accountId",
            "required": true,
            "description": "Account ID",
            "schema": {
              "type": "number",
              "example": 123456
            }
          }
        ],
        "requestBody": {
          "required": true,
          "description": "Body description to update limits",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AccountLimitPatch"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No content"
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                },
                "examples": {
                  "invalidBody": {
                    "summary": "Invalid body",
                    "value": {
                      "code": "WLDG0021",
                      "message": "Invalid body"
                    }
                  },
                  "parseError": {
                    "summary": "Parse error",
                    "value": {
                      "code": "WLDG0010",
                      "message": "Error when binding request body: code=400, message=error decoding string 'asd': can't convert asd to decimal"
                    }
                  },
                  "maxCreditLimitIsLowerThanTotalCreditLimitError": {
                    "summary": "Max credit limit lower than total credit limit",
                    "value": {
                      "code": "WLDG0025",
                      "message": "Max credit limit 9000 must be greater than total credit limit 10000"
                    }
                  },
                  "totalCreditLimitIsGreaterThanMaxCreditLimitError": {
                    "summary": "Total credit limit exceeds max credit limit",
                    "value": {
                      "code": "WLDG0025",
                      "message": "Total credit limit 14000 exceeds max credit limit 13000"
                    }
                  },
                  "maxCreditLimitExceedsMaxGlobalLimitError": {
                    "summary": "Max credit limit exceeds max global limit",
                    "value": {
                      "code": "WLDG0025",
                      "message": "Max credit limit 20000 exceeds max global limit 15000"
                    }
                  },
                  "totalCreditLimitExceedsMinGlobalLimitError": {
                    "summary": "Total credit limit lower than min global limit",
                    "value": {
                      "code": "WLDG0025",
                      "message": "Total credit limit 100 is less than min global limit 350"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                },
                "examples": {
                  "noAccountLimitsFound": {
                    "summary": "Account not found",
                    "value": {
                      "code": "WLDG0022",
                      "message": "No account limits found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                },
                "examples": {
                  "internalServerError": {
                    "summary": "Internal Server Error",
                    "value": {
                      "code": "ELDG9999",
                      "message": "An Internal Server Error found, please contact the administrator passing the code"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```